Summary: Amateur radio satellite tracking program.
Name: mtrack
Version: 0.2.2
Release: 1
License: GPL
Group: Applications/Communications
Prefix: %{_prefix}
Source0: ftp://ftp.hes.iki.fi/pub/ham/unix/satellite/mtrack-%{version}.tar.gz
BuildPrereq: gtk+ >= 1.2.2  gtk+-devel >= 1.2.2
BuildRoot: /var/tmp/%{name}-root

%description
This is mtrack, originally named for Motif-track, but in the period 1996 to
1999 it has lain on my hard disc unloved and unwanted. But it is back,
modified to use the GTK+ widgets and revamped for the new millenium. It goes
without saying that in order to build this program, you need a functioning X
windows system as well as the GTK toolkit, for more information about them
look at http://www.gtk.org/.

Mtrack is a satellite tracking program. No more and no less, it is under the
GNU Public license and is therefore free to use, distribute and modify as
you see fit.


%prep
%setup -q

%build

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{share,bin}
mkdir -p ${RPM_BUILD_ROOT}/{etc,var}/mtrack

make \
    MAPDIR=${RPM_BUILD_ROOT}%{_prefix}/share/mtrack \
    HELPDIR=${RPM_BUILD_ROOT}%{_prefix}/share/mtrack \
    VARDIR=${RPM_BUILD_ROOT}/var/mtrack \
    BINDIR=${RPM_BUILD_ROOT}%{_prefix}/bin \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO

/etc/mtrack
%config(noreplace)	/var/mtrack/locfile
%config(noreplace)	/var/mtrack/satfile

%{_prefix}/bin/*
%{_prefix}/share/mtrack

%changelog
* Wed Sep  1 1999 Jeff Johnson <jbj@redhat.com>
- Create.
